Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder.conf
Class DefaultPackageNameOption

    java.lang.Object
      org.drools.builder.conf.DefaultPackageNameOption

All Implemented Interfaces:
  Serializable, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption, Option

    public class DefaultPackageNameOption

extends Object
implements SingleValueKnowledgeBuilderOption

A class for the default package name configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the default package name

Method Summary
`boolean` | `equals(Object obj)`
`static DefaultPackageNameOption` | `get(String packageName)` This is a factory method for this DefaultPackageName configuration.
`String` | `getPackageName()` Returns the name of the package configured as default
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the default package name

  See Also:
    Constant Field Values

Method Detail

### get

    public static DefaultPackageNameOption get(String packageName)

  This is a factory method for this DefaultPackageName configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `packageName` - the name of the package to be configured as default
  Returns:
    the actual type safe default package name configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getPackageName

    public String getPackageName()

  Returns the name of the package configured as default

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.